
%let root    = C:\Users\psioda\Documents\Stat-Projects\Bayesian-normal-design;
%include "&root./macros/simNorm.sas";
%include "&root./macros/normDesign.sas";
%include "&root./macros/normDesignPP.sas";
libname out "&root./results";

%let nt = %scan(&sysparm,1,*);
%let nc = %scan(&sysparm,2,*);

ods listing close;
ods html close;

data powerPrior;
 mu = 3.0891; vr = 0.6315**2; N = 242; a0 = 0.08; output;
 mu = 3.1849; vr = 0.5811**2; N = 263; a0 = 0.08; output;
run;

** Null Case;
%let mu_c           = 3.15;
%let mu_t           = %sysevalf(3.15 + 0.20);
%let sd             = RANDOM;
%let precShapeParm  = 12.125;
%let precRateParm   = 4.6434258672;
%let dsOut = out.PP_T1E_&nt._&nc.;

%simNorm(mu_t=&mu_t.,
         mu_c=&mu_c.,
         sd=&sd.,
         precShapeParm=&precShapeParm.,
         precRateParm=&precRateParm.,
         nt=&nt.,nc=&nc.,
         studyRepNum=10000,
         dsInPP=powerPrior,
         dsOut=simStudy);

%NormDesignPP(MCMCOptions= nbi=1000 nmc=50000 nthin=2 plots=none,
              gamma=0.95,
              delta=0.20,
              dsIn=simStudy,
              dsInPP=powerPrior,
              dsOut=&dsOut.);


** Alternative Case;
%let mu_c           = 3.15;
%let mu_t           = 3.15;
%let sd             = RANDOM;
%let precShapeParm  = 12.125;
%let precRateParm   = 4.6434258672;
%let dsOut          = out.PP_Power_&nt._&nc.;

%simNorm(mu_t=&mu_t.,
         mu_c=&mu_c.,
         sd=&sd.,
         precShapeParm=&precShapeParm.,
         precRateParm=&precRateParm.,
         nt=&nt.,nc=&nc.,
         studyRepNum=10000,
         dsInPP=powerPrior,
         dsOut=simStudy);

%NormDesignPP(MCMCOptions= nbi=1000 nmc=50000 nthin=2 plots=none,
              gamma=0.95,
              delta=0.20,
              dsIn=simStudy,
              dsInPP=powerPrior,
              dsOut=&dsOut.);
